Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockStateManager

    java.lang.Object
      javax.faces.application.StateManager
          org.jboss.seam.mock.MockStateManager

    public class MockStateManager

extends javax.faces.application.StateManager

Nested Class Summary

Nested classes/interfaces inherited from class javax.faces.application.StateManager
`javax.faces.application.StateManager.SerializedView`

Field Summary

Fields inherited from class javax.faces.application.StateManager
`STATE_SAVING_METHOD_CLIENT, STATE_SAVING_METHOD_PARAM_NAME, STATE_SAVING_METHOD_SERVER`

Constructor Summary
`MockStateManager()`

Method Summary
`protected Object` | `getComponentStateToSave(javax.faces.context.FacesContext ctx)`
`protected Object` | `getTreeStructureToSave(javax.faces.context.FacesContext ctx)`
`protected void` | `restoreComponentState(javax.faces.context.FacesContext ctx, javax.faces.component.UIViewRoot viewRoot, String x)`
`protected javax.faces.component.UIViewRoot` | `restoreTreeStructure(javax.faces.context.FacesContext ctx, String x, String y)`
`javax.faces.component.UIViewRoot` | `restoreView(javax.faces.context.FacesContext ctx, String x, String y)`
`javax.faces.application.StateManager.SerializedView` | `saveSerializedView(javax.faces.context.FacesContext ctx)`
`Object` | `saveView(javax.faces.context.FacesContext ctx)`
`void` | `writeState(javax.faces.context.FacesContext ctx, Object state)`
`void` | `writeState(javax.faces.context.FacesContext ctx, javax.faces.application.StateManager.SerializedView sv)`

Methods inherited from class javax.faces.application.StateManager
`isSavingStateInClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockStateManager

    public MockStateManager()

Method Detail

### saveView

    public Object saveView(javax.faces.context.FacesContext ctx)

  Overrides:
    `saveView` in class `javax.faces.application.StateManager`

### writeState

    public void writeState(javax.faces.context.FacesContext ctx,
                           Object state)
                    throws IOException

  Overrides:
    `writeState` in class `javax.faces.application.StateManager`
  Throws:
    `IOException`

### saveSerializedView

    public javax.faces.application.StateManager.SerializedView saveSerializedView(javax.faces.context.FacesContext ctx)

  Overrides:
    `saveSerializedView` in class `javax.faces.application.StateManager`

### getTreeStructureToSave

    protected Object getTreeStructureToSave(javax.faces.context.FacesContext ctx)

  Overrides:
    `getTreeStructureToSave` in class `javax.faces.application.StateManager`

### getComponentStateToSave

    protected Object getComponentStateToSave(javax.faces.context.FacesContext ctx)

  Overrides:
    `getComponentStateToSave` in class `javax.faces.application.StateManager`

### writeState

    public void writeState(javax.faces.context.FacesContext ctx,
                           javax.faces.application.StateManager.SerializedView sv)
                    throws IOException

  Overrides:
    `writeState` in class `javax.faces.application.StateManager`
  Throws:
    `IOException`

### restoreView

    public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext ctx,
                                                        String x,
                                                        String y)

  Specified by:
    `restoreView` in class `javax.faces.application.StateManager`

### restoreTreeStructure

    protected javax.faces.component.UIViewRoot restoreTreeStructure(javax.faces.context.FacesContext ctx,
                                                                    String x,
                                                                    String y)

  Overrides:
    `restoreTreeStructure` in class `javax.faces.application.StateManager`

### restoreComponentState

    protected void restoreComponentState(javax.faces.context.FacesContext ctx,
                                         javax.faces.component.UIViewRoot viewRoot,
                                         String x)

  Overrides:
    `restoreComponentState` in class `javax.faces.application.StateManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD